.scroll {
    overflow: hidden;
    @media @mq_tablet_ {
        &_active:hover {
            .scroll__overflow {
                margin-right: 0;
            }
        }
    }
    &:before {
        .beforeafter;
        z-index: 5;
        left: 0;
        right: 16px;
        height: @spacing;
        background: linear-gradient(to bottom, #fff, fade(#fff, 0%));
        pointer-events: none;
        transition: opacity @duration @easing;
        opacity: 0;
        .scroll_top& {
            opacity: 1;
        }
    }
    &:after {
        .beforeafter;
        z-index: 5;
        left: 0;
        bottom: 0;
        right: 16px;
        height: @spacing;
        background: linear-gradient(to top, #fff, fade(#fff, 0%));
        pointer-events: none;
        transition: opacity @duration @easing;
        opacity: 0;
        .scroll_bottom& {
            opacity: 1;
        }
    }

    &__overflow {
        overflow-x: hidden;
        overflow-y: auto;
        @media @mq_tablet_ {
            margin-right: -16px;
        }
    }
    &__content {
        overflow: hidden;
        @media @mq_tablet_ {
            padding-right: 16px;
        }
    }
}
